- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::ClearNode Class Reference

A Group node for clearing the color and depth buffers. More...

Inheritance diagram for osg::ClearNode:

[legend]
List of all members.

## Public Member Functions
| ClearNode ()
| ClearNode constructor.
| ClearNode (const ClearNode &es, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, ClearNode)
void | setRequiresClear (bool requiresClear)
| Enable/disable clearing via glClear.
bool | getRequiresClear () const
| Gets whether clearing is enabled or disabled.
void | setClearColor (const Vec4 &color)
| Sets the clear color.
const Vec4 & | getClearColor () const
| Returns the clear color.
## Protected Member Functions
virtual | ~ClearNode ()
## Protected Attributes
bool | _requiresClear
Vec4 | _clearColor

## Detailed Description

A Group node for clearing the color and depth buffers.

Use setClearColor to change the clear color, and setRequiresClear to disable/enable the call clearing. You might want to disable clearing if you perform your clear by drawing fullscreen geometry. If you do this, add child nodes to perform such drawing. The default StateSet associated with this node places children in render bin -1 to ensure that children are rendered prior to the rest of the scene graph.

## Constructor & Destructor Documentation

ClearNode::ClearNode | ( |  | ) |

| ClearNode constructor.

osg::ClearNode::ClearNode | ( | const ClearNode & | es,
|  | const CopyOp & | copyop = `CopyOp::SHALLOW_COPY`
| ) | `[inline]`

virtual osg::ClearNode::~ClearNode | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

const Vec4& osg::ClearNode::getClearColor | ( |  | ) | const`[inline]`

| Returns the clear color.

bool osg::ClearNode::getRequiresClear | ( |  | ) | const`[inline]`

| Gets whether clearing is enabled or disabled.

osg::ClearNode::META_Node | ( | osg | ,
|  | ClearNode |
| ) |

void osg::ClearNode::setClearColor | ( | const Vec4 & | color | ) | `[inline]`

| Sets the clear color.

void osg::ClearNode::setRequiresClear | ( | bool | requiresClear | ) | `[inline]`

| Enable/disable clearing via glClear.

## Member Data Documentation

Vec4 osg::ClearNode::_clearColor`[protected]`

bool osg::ClearNode::_requiresClear`[protected]`

The documentation for this class was generated from the following files:

- ClearNode
- ClearNode.cpp